pathname.c File Reference
`#include "ruby.h"`

Go to the source code of this file.

## Functions

static VALUE | get_strpath (VALUE obj)
static void | set_strpath (VALUE obj, VALUE val)
static VALUE | path_initialize (VALUE self, VALUE arg)
static VALUE | path_freeze (VALUE self)
static VALUE | path_taint (VALUE self)
static VALUE | path_untaint (VALUE self)
static VALUE | path_eq (VALUE self, VALUE other)
static VALUE | path_cmp (VALUE self, VALUE other)
static VALUE | path_hash (VALUE self)
static VALUE | path_to_s (VALUE self)
static VALUE | path_inspect (VALUE self)
static VALUE | path_sub (int argc, VALUE *argv, VALUE self)
static VALUE | path_sub_ext (VALUE self, VALUE repl)
static VALUE | path_realpath (int argc, VALUE *argv, VALUE self)
static VALUE | path_realdirpath (int argc, VALUE *argv, VALUE self)
static VALUE | path_each_line (int argc, VALUE *argv, VALUE self)
static VALUE | path_read (int argc, VALUE *argv, VALUE self)
static VALUE | path_binread (int argc, VALUE *argv, VALUE self)
static VALUE | path_readlines (int argc, VALUE *argv, VALUE self)
static VALUE | path_sysopen (int argc, VALUE *argv, VALUE self)
static VALUE | path_atime (VALUE self)
static VALUE | path_ctime (VALUE self)
static VALUE | path_mtime (VALUE self)
static VALUE | path_chmod (VALUE self, VALUE mode)
static VALUE | path_lchmod (VALUE self, VALUE mode)
static VALUE | path_chown (VALUE self, VALUE owner, VALUE group)
static VALUE | path_lchown (VALUE self, VALUE owner, VALUE group)
static VALUE | path_fnmatch (int argc, VALUE *argv, VALUE self)
static VALUE | path_ftype (VALUE self)
static VALUE | path_make_link (VALUE self, VALUE old)
static VALUE | path_open (int argc, VALUE *argv, VALUE self)
static VALUE | path_readlink (VALUE self)
static VALUE | path_rename (VALUE self, VALUE to)
static VALUE | path_stat (VALUE self)
static VALUE | path_lstat (VALUE self)
static VALUE | path_make_symlink (VALUE self, VALUE old)
static VALUE | path_truncate (VALUE self, VALUE length)
static VALUE | path_utime (VALUE self, VALUE atime, VALUE mtime)
static VALUE | path_basename (int argc, VALUE *argv, VALUE self)
static VALUE | path_dirname (VALUE self)
static VALUE | path_extname (VALUE self)
static VALUE | path_expand_path (int argc, VALUE *argv, VALUE self)
static VALUE | path_split (VALUE self)
static VALUE | path_blockdev_p (VALUE self)
static VALUE | path_chardev_p (VALUE self)
static VALUE | path_executable_p (VALUE self)
static VALUE | path_executable_real_p (VALUE self)
static VALUE | path_exist_p (VALUE self)
static VALUE | path_grpowned_p (VALUE self)
static VALUE | path_directory_p (VALUE self)
static VALUE | path_file_p (VALUE self)
static VALUE | path_pipe_p (VALUE self)
static VALUE | path_socket_p (VALUE self)
static VALUE | path_owned_p (VALUE self)
static VALUE | path_readable_p (VALUE self)
static VALUE | path_world_readable_p (VALUE self)
static VALUE | path_readable_real_p (VALUE self)
static VALUE | path_setuid_p (VALUE self)
static VALUE | path_setgid_p (VALUE self)
static VALUE | path_size (VALUE self)
static VALUE | path_size_p (VALUE self)
static VALUE | path_sticky_p (VALUE self)
static VALUE | path_symlink_p (VALUE self)
static VALUE | path_writable_p (VALUE self)
static VALUE | path_world_writable_p (VALUE self)
static VALUE | path_writable_real_p (VALUE self)
static VALUE | path_zero_p (VALUE self)
static VALUE | glob_i (VALUE elt, VALUE klass, int argc, VALUE *argv)
static VALUE | path_s_glob (int argc, VALUE *argv, VALUE klass)
static VALUE | path_s_getwd (VALUE klass)
static VALUE | path_entries (VALUE self)
static VALUE | path_mkdir (int argc, VALUE *argv, VALUE self)
static VALUE | path_rmdir (VALUE self)
static VALUE | path_opendir (VALUE self)
static VALUE | each_entry_i (VALUE elt, VALUE klass, int argc, VALUE *argv)
static VALUE | path_each_entry (VALUE self)
static VALUE | unlink_body (VALUE str)
static VALUE | unlink_rescue (VALUE str, VALUE errinfo)
static VALUE | path_unlink (VALUE self)
static VALUE | path_f_pathname (VALUE self, VALUE str)
void | Init_pathname ()

## Variables

static VALUE | rb_cPathname
static ID | id_at_path
static ID | id_to_path

## Function Documentation

static VALUE each_entry_i | ( | VALUE | elt,
|  | VALUE | klass,
|  | int | argc,
|  | VALUE * | argv
| ) |  |

static

Definition at line 920 of file pathname.c.

References rb_class_new_instance(), and rb_yield().

Referenced by path_each_entry().

static VALUE get_strpath | ( | VALUE | obj | ) |

static

Definition at line 7 of file pathname.c.

References id_at_path, rb_eTypeError, rb_ivar_get(), rb_raise(), T_STRING, and TYPE.

Referenced by path_atime(), path_basename(), path_binread(), path_blockdev_p(), path_chardev_p(), path_chmod(), path_chown(), path_cmp(), path_ctime(), path_directory_p(), path_dirname(), path_each_entry(), path_each_line(), path_entries(), path_eq(), path_executable_p(), path_executable_real_p(), path_exist_p(), path_expand_path(), path_extname(), path_file_p(), path_fnmatch(), path_freeze(), path_ftype(), path_grpowned_p(), path_hash(), path_inspect(), path_lchmod(), path_lchown(), path_lstat(), path_make_link(), path_make_symlink(), path_mkdir(), path_mtime(), path_open(), path_opendir(), path_owned_p(), path_pipe_p(), path_read(), path_readable_p(), path_readable_real_p(), path_readlines(), path_readlink(), path_realdirpath(), path_realpath(), path_rename(), path_rmdir(), path_setgid_p(), path_setuid_p(), path_size(), path_size_p(), path_socket_p(), path_split(), path_stat(), path_sticky_p(), path_sub(), path_sub_ext(), path_symlink_p(), path_sysopen(), path_taint(), path_to_s(), path_truncate(), path_unlink(), path_untaint(), path_utime(), path_world_readable_p(), path_world_writable_p(), path_writable_p(), path_writable_real_p(), and path_zero_p().

static VALUE glob_i | ( | VALUE | elt,
|  | VALUE | klass,
|  | int | argc,
|  | VALUE * | argv
| ) |  |

static

Definition at line 817 of file pathname.c.

References rb_class_new_instance(), and rb_yield().

Referenced by path_s_glob().

void Init_pathname | ( |  | ) |

Definition at line 1153 of file pathname.c.

References id_at_path, id_to_path, path_atime(), path_basename(), path_binread(), path_blockdev_p(), path_chardev_p(), path_chmod(), path_chown(), path_cmp(), path_ctime(), path_directory_p(), path_dirname(), path_each_entry(), path_each_line(), path_entries(), path_eq(), path_executable_p(), path_executable_real_p(), path_exist_p(), path_expand_path(), path_extname(), path_f_pathname(), path_file_p(), path_fnmatch(), path_freeze(), path_ftype(), path_grpowned_p(), path_hash(), path_initialize(), path_inspect(), path_lchmod(), path_lchown(), path_lstat(), path_make_link(), path_make_symlink(), path_mkdir(), path_mtime(), path_open(), path_opendir(), path_owned_p(), path_pipe_p(), path_read(), path_readable_p(), path_readable_real_p(), path_readlines(), path_readlink(), path_realdirpath(), path_realpath(), path_rename(), path_rmdir(), path_s_getwd(), path_s_glob(), path_setgid_p(), path_setuid_p(), path_size(), path_size_p(), path_socket_p(), path_split(), path_stat(), path_sticky_p(), path_sub(), path_sub_ext(), path_symlink_p(), path_sysopen(), path_taint(), path_to_s(), path_truncate(), path_unlink(), path_untaint(), path_utime(), path_world_readable_p(), path_world_writable_p(), path_writable_p(), path_writable_real_p(), path_zero_p(), rb_cObject, rb_cPathname, rb_define_class(), rb_define_global_function(), rb_define_method(), rb_define_singleton_method(), rb_intern, and rb_undef_method().

static VALUE path_atime | ( | VALUE | self | ) |

static

Definition at line 345 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_basename | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 536 of file pathname.c.

References get_strpath(), rb_cFile, rb_class_new_instance(), rb_funcall(), rb_intern, rb_obj_class(), and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_binread | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 293 of file pathname.c.

References args, get_strpath(), rb_cIO, rb_funcall2(), rb_intern, and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_blockdev_p | ( | VALUE | self | ) |

static

Definition at line 604 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_chardev_p | ( | VALUE | self | ) |

static

Definition at line 613 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_chmod | ( | VALUE | self,
|  | VALUE | mode
| ) |  |

static

Definition at line 372 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_chown | ( | VALUE | self,
|  | VALUE | owner,
|  | VALUE | group
| ) |  |

static

Definition at line 390 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_cmp | ( | VALUE | self,
|  | VALUE | other
| ) |  |

static

Definition at line 89 of file pathname.c.

References get_strpath(), INT2FIX, Qnil, rb_cPathname, rb_obj_is_kind_of(), RSTRING_LEN, and RSTRING_PTR.

Referenced by Init_pathname().

static VALUE path_ctime | ( | VALUE | self | ) |

static

Definition at line 354 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_directory_p | ( | VALUE | self | ) |

static

Definition at line 658 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_dirname | ( | VALUE | self | ) |

static

Definition at line 551 of file pathname.c.

References get_strpath(), rb_cFile, rb_class_new_instance(), rb_funcall(), rb_intern, and rb_obj_class().

Referenced by Init_pathname().

static VALUE path_each_entry | ( | VALUE | self | ) |

static

Definition at line 932 of file pathname.c.

References args, each_entry_i(), get_strpath(), rb_block_call, rb_cDir, rb_intern, and rb_obj_class().

Referenced by Init_pathname().

static VALUE path_each_line | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 249 of file pathname.c.

References args, get_strpath(), rb_block_call, rb_block_given_p(), rb_cIO, rb_funcall2(), rb_intern, and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_entries | ( | VALUE | self | ) |

static

Definition at line 868 of file pathname.c.

References get_strpath(), i, RARRAY_LEN, RARRAY_PTR, rb_ary_store(), rb_cDir, rb_class_new_instance(), rb_convert_type(), rb_funcall(), rb_intern, rb_obj_class(), and T_ARRAY.

Referenced by Init_pathname().

static VALUE path_eq | ( | VALUE | self,
|  | VALUE | other
| ) |  |

static

Definition at line 78 of file pathname.c.

References get_strpath(), Qfalse, rb_cPathname, rb_obj_is_kind_of(), and rb_str_equal().

Referenced by Init_pathname().

static VALUE path_executable_p | ( | VALUE | self | ) |

static

Definition at line 622 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_executable_real_p | ( | VALUE | self | ) |

static

Definition at line 631 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_exist_p | ( | VALUE | self | ) |

static

Definition at line 640 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_expand_path | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 572 of file pathname.c.

References get_strpath(), rb_cFile, rb_class_new_instance(), rb_funcall(), rb_intern, rb_obj_class(), and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_extname | ( | VALUE | self | ) |

static

Definition at line 562 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_f_pathname | ( | VALUE | self,
|  | VALUE | str
| ) |  |

static

Definition at line 970 of file pathname.c.

References rb_class_new_instance(), and rb_cPathname.

Referenced by Init_pathname().

static VALUE path_file_p | ( | VALUE | self | ) |

static

Definition at line 667 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_fnmatch | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 413 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), rb_intern, and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_freeze | ( | VALUE | self | ) |

static

Definition at line 49 of file pathname.c.

References get_strpath(), rb_call_super(), and rb_str_freeze().

Referenced by Init_pathname().

static VALUE path_ftype | ( | VALUE | self | ) |

static

Definition at line 428 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_grpowned_p | ( | VALUE | self | ) |

static

Definition at line 649 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_hash | ( | VALUE | self | ) |

static

Definition at line 124 of file pathname.c.

References get_strpath(), INT2FIX, and rb_str_hash().

Referenced by Init_pathname().

static VALUE path_initialize | ( | VALUE | self,
|  | VALUE | arg
| ) |  |

static

Definition at line 27 of file pathname.c.

References arg, id_to_path, NULL, OBJ_INFECT, Qundef, rb_check_funcall(), rb_eArgError, rb_obj_dup(), rb_raise(), RSTRING_LEN, RSTRING_PTR, set_strpath(), StringValue, T_STRING, and TYPE.

Referenced by Init_pathname().

static VALUE path_inspect | ( | VALUE | self | ) |

static

Definition at line 146 of file pathname.c.

References get_strpath(), rb_obj_classname(), rb_sprintf(), and RSTRING_PTR.

Referenced by Init_pathname().

static VALUE path_lchmod | ( | VALUE | self,
|  | VALUE | mode
| ) |  |

static

Definition at line 381 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_lchown | ( | VALUE | self,
|  | VALUE | owner,
|  | VALUE | group
| ) |  |

static

Definition at line 399 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_lstat | ( | VALUE | self | ) |

static

Definition at line 497 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_make_link | ( | VALUE | self,
|  | VALUE | old
| ) |  |

static

Definition at line 440 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_make_symlink | ( | VALUE | self,
|  | VALUE | old
| ) |  |

static

Definition at line 509 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_mkdir | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 888 of file pathname.c.

References get_strpath(), rb_cDir, rb_funcall(), rb_intern, and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_mtime | ( | VALUE | self | ) |

static

Definition at line 363 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_open | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 449 of file pathname.c.

References args, get_strpath(), rb_block_call, rb_block_given_p(), rb_cFile, rb_funcall2(), rb_intern, and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_opendir | ( | VALUE | self | ) |

static

Definition at line 911 of file pathname.c.

References args, get_strpath(), rb_block_call, rb_cDir, and rb_intern.

Referenced by Init_pathname().

static VALUE path_owned_p | ( | VALUE | self | ) |

static

Definition at line 694 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_pipe_p | ( | VALUE | self | ) |

static

Definition at line 676 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_read | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 274 of file pathname.c.

References args, get_strpath(), rb_cIO, rb_funcall2(), rb_intern, and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_readable_p | ( | VALUE | self | ) |

static

Definition at line 703 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_readable_real_p | ( | VALUE | self | ) |

static

Definition at line 721 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_readlines | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 313 of file pathname.c.

References args, get_strpath(), rb_cIO, rb_funcall2(), rb_intern, and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_readlink | ( | VALUE | self | ) |

static

Definition at line 468 of file pathname.c.

References get_strpath(), rb_cFile, rb_class_new_instance(), rb_funcall(), rb_intern, and rb_obj_class().

Referenced by Init_pathname().

static VALUE path_realdirpath | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 227 of file pathname.c.

References get_strpath(), rb_cFile, rb_class_new_instance(), rb_funcall(), rb_intern, rb_obj_class(), and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_realpath | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 212 of file pathname.c.

References get_strpath(), rb_cFile, rb_class_new_instance(), rb_funcall(), rb_intern, rb_obj_class(), and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_rename | ( | VALUE | self,
|  | VALUE | to
| ) |  |

static

Definition at line 479 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_rmdir | ( | VALUE | self | ) |

static

Definition at line 902 of file pathname.c.

References get_strpath(), rb_cDir, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_s_getwd | ( | VALUE | klass | ) |

static

Definition at line 853 of file pathname.c.

References rb_cDir, rb_class_new_instance(), rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_s_glob | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | klass
| ) |  |

static

Definition at line 826 of file pathname.c.

References args, glob_i(), i, RARRAY_LEN, RARRAY_PTR, rb_ary_store(), rb_block_call, rb_block_given_p(), rb_cDir, rb_class_new_instance(), rb_convert_type(), rb_funcall2(), rb_intern, rb_scan_args(), and T_ARRAY.

Referenced by Init_pathname().

static VALUE path_setgid_p | ( | VALUE | self | ) |

static

Definition at line 739 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_setuid_p | ( | VALUE | self | ) |

static

Definition at line 730 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_size | ( | VALUE | self | ) |

static

Definition at line 748 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_size_p | ( | VALUE | self | ) |

static

Definition at line 757 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_socket_p | ( | VALUE | self | ) |

static

Definition at line 685 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_split | ( | VALUE | self | ) |

static

Definition at line 587 of file pathname.c.

References get_strpath(), rb_ary_entry(), rb_ary_new3(), rb_cFile, rb_check_array_type(), rb_class_new_instance(), rb_funcall(), rb_intern, and rb_obj_class().

Referenced by Init_pathname().

static VALUE path_stat | ( | VALUE | self | ) |

static

Definition at line 488 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_sticky_p | ( | VALUE | self | ) |

static

Definition at line 766 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_sub | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 157 of file pathname.c.

References get_strpath(), rb_block_call, rb_block_given_p(), rb_class_new_instance(), rb_funcall2(), rb_intern, and rb_obj_class().

Referenced by Init_pathname().

static VALUE path_sub_ext | ( | VALUE | self,
|  | VALUE | repl
| ) |  |

static

Definition at line 177 of file pathname.c.

References get_strpath(), NULL, OBJ_INFECT, p, rb_class_new_instance(), rb_obj_class(), rb_str_append(), rb_str_dup(), rb_str_resize(), RSTRING_LEN, RSTRING_PTR, ruby_find_extname(), and StringValue.

Referenced by Init_pathname().

static VALUE path_symlink_p | ( | VALUE | self | ) |

static

Definition at line 775 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_sysopen | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 331 of file pathname.c.

References args, get_strpath(), rb_cIO, rb_funcall2(), rb_intern, and rb_scan_args().

Referenced by Init_pathname().

static VALUE path_taint | ( | VALUE | self | ) |

static

Definition at line 57 of file pathname.c.

References get_strpath(), rb_call_super(), and rb_obj_taint().

Referenced by Init_pathname().

static VALUE path_to_s | ( | VALUE | self | ) |

static

Definition at line 139 of file pathname.c.

References get_strpath(), and rb_obj_dup().

Referenced by Init_pathname().

static VALUE path_truncate | ( | VALUE | self,
|  | VALUE | length
| ) |  |

static

Definition at line 518 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_unlink | ( | VALUE | self | ) |

static

Definition at line 957 of file pathname.c.

References get_strpath(), rb_const_get_at(), rb_intern, rb_mErrno, rb_rescue2(), unlink_body(), and unlink_rescue().

Referenced by Init_pathname().

static VALUE path_untaint | ( | VALUE | self | ) |

static

Definition at line 65 of file pathname.c.

References get_strpath(), rb_call_super(), and rb_obj_untaint().

Referenced by Init_pathname().

static VALUE path_utime | ( | VALUE | self,
|  | VALUE | atime,
|  | VALUE | mtime
| ) |  |

static

Definition at line 527 of file pathname.c.

References get_strpath(), rb_cFile, rb_funcall(), and rb_intern.

Referenced by Init_pathname().

static VALUE path_world_readable_p | ( | VALUE | self | ) |

static

Definition at line 712 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_world_writable_p | ( | VALUE | self | ) |

static

Definition at line 793 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_writable_p | ( | VALUE | self | ) |

static

Definition at line 784 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_writable_real_p | ( | VALUE | self | ) |

static

Definition at line 802 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static VALUE path_zero_p | ( | VALUE | self | ) |

static

Definition at line 811 of file pathname.c.

References get_strpath(), rb_funcall(), rb_intern, and rb_mFileTest.

Referenced by Init_pathname().

static void set_strpath | ( | VALUE | obj,
|  | VALUE | val
| ) |  |

static

Definition at line 17 of file pathname.c.

References id_at_path, and rb_ivar_set().

Referenced by path_initialize().

static VALUE unlink_body | ( | VALUE | str | ) |

static

Definition at line 941 of file pathname.c.

References rb_cDir, rb_funcall(), and rb_intern.

Referenced by path_unlink().

static VALUE unlink_rescue | ( | VALUE | str,
|  | VALUE | errinfo
| ) |  |

static

Definition at line 947 of file pathname.c.

References rb_cFile, rb_funcall(), and rb_intern.

Referenced by path_unlink().

## Variable Documentation

ID id_at_path

static

Definition at line 4 of file pathname.c.

Referenced by get_strpath(), Init_pathname(), and set_strpath().

ID id_to_path

static

Definition at line 4 of file pathname.c.

Referenced by Init_pathname(), and path_initialize().

VALUE rb_cPathname

static

Definition at line 3 of file pathname.c.

Referenced by Init_pathname(), path_cmp(), path_eq(), and path_f_pathname().